Bug 134762 - Onscreen widgets overlap when running installer in bn, gu and pa language
Onscreen widgets overlap when running installer in bn, gu and pa language
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: i18n
Depends On: 139990
Blocks: Indic
  Show dependency treegraph
 
Reported: 2004-10-06 02:15 EDT by Jatin Nansi
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 07:01:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bn_IN boot loader (106.12 KB, image/png)
2004-11-18 04:57 EST, Lawrence Lim
no flags Details
bn_IN firewall and SELinux (96.50 KB, image/png)
2004-11-18 04:59 EST, Lawrence Lim
no flags Details
bn_IN customise packages (92.34 KB, image/png)
2004-11-18 05:03 EST, Lawrence Lim
no flags Details
gu_IN manual disk partition (77.21 KB, image/png)
2004-11-18 05:06 EST, Lawrence Lim
no flags Details
gu_IN boot loader (93.03 KB, image/png)
2004-11-18 05:09 EST, Lawrence Lim
no flags Details
gu_IN package customise (82.04 KB, image/png)
2004-11-18 05:10 EST, Lawrence Lim
no flags Details
ta_IN boot loader (125.03 KB, image/png)
2004-11-18 05:12 EST, Lawrence Lim
no flags Details
screenshot from anaconda-10.1.1.8-1 for the bn locale (115.57 KB, image/png)
2004-12-08 04:54 EST, Lawrence Lim
no flags Details
screenshot for gu_IN (80.95 KB, image/png)
2004-12-09 22:48 EST, Lawrence Lim
no flags Details

  None (edit)
Description Jatin Nansi 2004-10-06 02:15:55 EDT
Description of problem:
Some widgets overlap such that its difficult to select the widget
underneath.

Version-Release number of selected component (if applicable):
10.0.3.6-1

How reproducible:
Every time

Steps to Reproduce:
1. Start installation in Bengali (India)
2. Progress with the installer till you reach network setup / grub setup.
3. 
  
Actual results:
The widgets overlap on the lower portion of the screen. 

Expected results:
Widgets must not overlap.

Additional info:
Screenshots available here:
http://bob.brisbane.redhat.com/~jnansi/screenshots/158-16-153-1-screenshot-0005.png
http://bob.brisbane.redhat.com/~jnansi/screenshots/158-16-153-1-screenshot-0004.png
Comment 1 Jeremy Katz 2004-10-06 13:56:59 EDT
For the network one, I can make the box for network devices a little
bit smaller.  For the GRUB screen, there are *no* widgets that I can
change the size of.

Any chance of adjusting translations to use shorter phrases for any of it?
Comment 2 Leon Ho 2004-10-11 02:22:02 EDT
Some of the translation on grub screen should be shorten. if you are
available, please rebuilt along with latest po file so that we can
confirm. Thanks Jeremy.
Comment 3 Jeremy Katz 2004-10-19 17:35:39 EDT
Should be rebuitl for a while now.
Comment 4 Lawrence Lim 2004-11-18 04:53:47 EST
Test anaconda-10.1.1.5-1 in dist-4E for all 5 indic locale and noticed
that bn, gu and ta does not display properly. 

Jeremy, would you like me to create a bug for each locale or can I
group them into this bug?
Comment 5 Lawrence Lim 2004-11-18 04:57:53 EST
Created attachment 106938 [details]
bn_IN boot loader 

Noticed that only the check box can be seen.
Comment 6 Lawrence Lim 2004-11-18 04:59:35 EST
Created attachment 106939 [details]
bn_IN firewall and SELinux

Again, the last string found towards the bottom of the screen.
Comment 7 Lawrence Lim 2004-11-18 05:03:05 EST
Created attachment 106940 [details]
bn_IN customise packages

A whole line which provide the user with the option to customise packages to be
installed is missing. In addition, the "Next" button gets deactivated (I cant
click on next with my mouse). The workaround and to click at the lower half of
the "Next" button.
Comment 8 Lawrence Lim 2004-11-18 05:06:44 EST
Created attachment 106942 [details]
gu_IN manual disk partition

The New button has been cut off.
Comment 9 Lawrence Lim 2004-11-18 05:09:13 EST
Created attachment 106943 [details]
gu_IN boot loader

There is one more option available which cannot be seen.
Comment 10 Lawrence Lim 2004-11-18 05:10:33 EST
Created attachment 106944 [details]
gu_IN package customise

One more option to manually customise the packages to be installed cannot be
seen.
Comment 11 Lawrence Lim 2004-11-18 05:12:03 EST
Created attachment 106945 [details]
ta_IN boot loader

The first button found at the top left corner of the screen appear to be cut
off.
Comment 12 Jeremy Katz 2004-11-18 08:42:10 EST
These are all going to need to be fixed within the translations,
either by shortening phrases, adding line breaks (eg with the disk
druid screen), or some other way.  

There's only so much space on the screen :/
Comment 13 Lawrence Lim 2004-11-18 19:25:20 EST
Thanks Jeremy. In that case, I will reassign the bug to Sarah. 
She will wave her magic wand and makes things better. :)
Comment 14 Leon Ho 2004-11-21 23:44:09 EST
once gu_IN font size bug get fixed then it will helps gu_IN
installation a bit - bug 139990
Comment 15 Sarah Wang 2004-12-08 04:49:47 EST
If gu_IN font size bug is fixed, could someone pls check if the
problem for gu has been fixed. If not, could the new screenshots be
attached?

Sarah
Comment 16 Lawrence Lim 2004-12-08 04:54:44 EST
Created attachment 108098 [details]
screenshot from anaconda-10.1.1.8-1 for the bn locale
Comment 17 Runa Bhattacharjee 2004-12-08 05:52:40 EST
Translations for the boot loader configuration page have been
shortened for bengali (bn).
Comment 18 Lawrence Lim 2004-12-09 22:48:59 EST
Created attachment 108295 [details]
screenshot for gu_IN

gu_IN manual disk partition. Notice some of the buttons cannot be seen.
Comment 19 Lawrence Lim 2004-12-09 22:50:28 EST
Sarah,
Please let me know when all the updates are completed, so we can
reassign the bug back to Jeremy for a final rebuild.


Thanks.
Comment 20 Sarah Wang 2004-12-09 23:22:47 EST
Both bn.po and gu.po have been modified to shorten the translation
string. Please proceed with final rebuild.

Sarah
Comment 21 Lawrence Lim 2004-12-09 23:28:16 EST
Jeremy,
Could you please incorporate the updated .po files, if you are going
to rebuild a new package? 


Thanks,
Lawrence
Comment 22 Jeremy Katz 2004-12-09 23:34:18 EST
If there's a new bug that qualifies as a blocker filed, the changes
will get incorporated.  Otherwise, they'll get in at U1. 

(I somewhat expect there will be another anaconda build as I'm just
not lucky enough to not have that be the case :)

MODIFIED, any anaconda > 10.1.1.9-1 will include the fixes.
Comment 23 Jay Turner 2005-01-14 07:01:20 EST
anaconda-10.1.1.13-1 made it into the latest RC, so closing this out.

Note You need to log in before you can comment on or make changes to this bug.